<?php
/**
 * 金戈企业建站系统：留言本管理页面
 *
 *
 * @name 
 * @author 烟鬼 QQ:460874 Email:460874@qq.com
 * @version 0.1  $id  rootbook.php
 * @copyright Copyright (c) 2007 - 2008 烟鬼
 */
session_start();
require('../config.php');
require('rootfun/roothtml.php');
require('rootfun/rootfun.php');

//判断是否是管理员，该函数在myfun.php 中定义
if(!check_root())
	{
		echo '<meta http-equiv="Refresh" content="0; url=../error.php?error=nono" >';
		exit;
	}

//插入页头
rootheader();
?>
<div id="rootmain">
<?php
$action = $_GET['action'];

//所有已回复留言管理
if ($action == 'hb') 
{
	sehb();
}

//所有未回复留言管理
if ($action == 'wb') 
{
     sewb();
}

//查看给管理员的留言
if ($action == 'mst') 
{
     semst();
}

//删除选择的留言
if ($action == 'delbook') 
{
     $del = $_POST['del_me'];
     if (count($del) > 0) 
     {
          foreach ($del as $nid)
          {
          	if (delbook($nid)) 
          	     echo '删除成功....<br />';
          	else 
          		echo '删除失败....<br />';
          }
     }
     else 
     {
     	echo '您还没有选择需要删除的产品！';
     }
}

//修改回复
if ($action == 'sehb') 
{
     $reid = trim($_GET['reid']);
     $re = hb($reid);
     if (!$re) 
     {
			echo '该留言没有回复--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';
			exit;
     }
     else 
     {
     	$re = setassoc($re);
     	$re = hfb($re);
     }
}

//更新回复
if ($action == 'uphf') 
{
     $hfnr = my_yz($_POST['hfnr']);
     $hfid = trim($_POST['hfid']);
     if (strlen($hfnr) > 255) 
     {
          echo '回复内容请勿超过100字--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';
          exit;
     }
     if (uphf($hfnr,$hfid)) 
     {
          echo '已更新回复--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';
     }
     else 
     {
     	echo '更新回复失败--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';
     }
}

//添加回复表单
if ($action == 'sewb') 
{
	$lid = trim($_GET['lid']);
	hfbs($lid);
}

//添加回复处理
if ($action == 'inhf') 
{
     $hfnr = my_yz($_POST['hfnr']);
     $l_id = trim($_POST['hfid']);
     if (!filled_out($_POST)) 
     {
          echo '完整填写表单--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
          exit;
     }
     
     if (strlen($hfnr) > 255) 
     {
          echo '请保持在100字以内--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
          exit;
     }
     
     if (inhf($hfnr,$l_id)) 
     {
          echo '回复完成--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
     }
     else 
     {
     	echo '回复失败--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
     }
     
}
?>
</div>
<?php
//插入页脚
rootfooter();
?>